curl --request POST \
--url https://api.synctera.com/v2/external_cards/transfers/googlepay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 2,
"originating_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"google_pay_payment_data": {
"api_version": 123,
"api_version_minor": 123,
"payment_method_data": {
"description": "<string>",
"info": {
"assurance_details": {
"account_verified": true,
"cardholder_authenticated": true
},
"card_details": "<string>",
"billing_address": {
"address_1": "<string>",
"address_2": "<string>",
"address_3": "<string>",
"administrative_area": "<string>",
"country_code": "US",
"locality": "<string>",
"name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>",
"sorting_code": "<string>"
}
},
"tokenization_data": {
"token": "<string>"
},
"type": "CARD"
},
"address": {
"address_1": "<string>",
"address_2": "<string>",
"address_3": "<string>",
"administrative_area": "<string>",
"country_code": "US",
"locality": "<string>",
"name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>",
"sorting_code": "<string>"
},
"email": "<string>"
},
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api.synctera.com/v2/external_cards/transfers/googlepay"
payload = {
"amount": 2,
"originating_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"google_pay_payment_data": {
"api_version": 123,
"api_version_minor": 123,
"payment_method_data": {
"description": "<string>",
"info": {
"assurance_details": {
"account_verified": True,
"cardholder_authenticated": True
},
"card_details": "<string>",
"billing_address": {
"address_1": "<string>",
"address_2": "<string>",
"address_3": "<string>",
"administrative_area": "<string>",
"country_code": "US",
"locality": "<string>",
"name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>",
"sorting_code": "<string>"
}
},
"tokenization_data": { "token": "<string>" },
"type": "CARD"
},
"address": {
"address_1": "<string>",
"address_2": "<string>",
"address_3": "<string>",
"administrative_area": "<string>",
"country_code": "US",
"locality": "<string>",
"name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>",
"sorting_code": "<string>"
},
"email": "<string>"
},
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 2,
originating_account_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
google_pay_payment_data: {
api_version: 123,
api_version_minor: 123,
payment_method_data: {
description: '<string>',
info: {
assurance_details: {account_verified: true, cardholder_authenticated: true},
card_details: '<string>',
billing_address: {
address_1: '<string>',
address_2: '<string>',
address_3: '<string>',
administrative_area: '<string>',
country_code: 'US',
locality: '<string>',
name: '<string>',
phone_number: '<string>',
postal_code: '<string>',
sorting_code: '<string>'
}
},
tokenization_data: {token: '<string>'},
type: 'CARD'
},
address: {
address_1: '<string>',
address_2: '<string>',
address_3: '<string>',
administrative_area: '<string>',
country_code: 'US',
locality: '<string>',
name: '<string>',
phone_number: '<string>',
postal_code: '<string>',
sorting_code: '<string>'
},
email: '<string>'
},
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api.synctera.com/v2/external_cards/transfers/googlepay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"tenant": "abcdef_ghijkl",
"card_details": {
"pull_details": {
"country": "US",
"currency": "USD",
"network": "<string>",
"regulated": true
},
"pull_enabled": true,
"push_details": {
"country": "US",
"currency": "USD",
"network": "<string>",
"regulated": true
},
"push_enabled": true,
"bin": "<string>",
"issuer": "<string>",
"last_four": "1234",
"payment_account_reference": "<string>"
},
"type": "GOOGLE_PAY_PULL",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Create Google Pay External Card Transfer
🚧 Alpha Google Pay transfers is currently in Alpha release and spec is subject to change.
Create External Card Transfer using a Google Pay card.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Details of the Google Pay External Card Transfer to create
Amount of the transfer in cents (USD)
x >= 1The ID of the account to which the transfer will be initiated/received
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The customer_id of the cardholder
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Payload containing payment information, obtained from Google following payment approval
Show child attributes
Show child attributes
Merchant descriptor information that will be shown on statement and transaction details. If not provided, FinTech information will be used.
Show child attributes
Show child attributes
The id of the tenant containing the resource.
"abcdef_ghijkl"
Response
Google Pay External Card Transfer created
The ID of the Synctera account into which or from which funds were moved
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Amount of the transfer in cents
"2010-05-06T12:23:34.321Z"
ISO 4217 Alpha-3 currency code
3"USD"
The customer_id of the cardholder
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the transfer
"2010-05-06T12:23:34.321Z"
Merchant descriptor information that will be shown on statement and transaction details. If not provided, FinTech information will be used.
Show child attributes
Show child attributes
The status of the transfer
SUCCEEDED, PENDING, DECLINED, CANCELED, UNKNOWN The id of the tenant containing the resource.
"abcdef_ghijkl"
Show child attributes
Show child attributes
Type of transfer operation
GOOGLE_PAY_PULL If available, a human readable string indicating why a transfer was declined downstream of our system
The reason for the status, e.g. INSUFFICIENT_FUNDS, SUSPECTED_FRAUD, NETWORK_DECLINED
The transaction ID
Was this page helpful?

